PaidGoods

Refund an invoice (full or partial)

POST
/v1/stores/{storeId}/invoices/{orderId}/refunds

Authorization

AuthorizationBearer <token>

API key from Settings → API keys

In: header

Path Parameters

storeId*string
orderId*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://example.com/v1/stores/string/invoices/string/refunds" \  -H "Content-Type: application/json" \  -d '{    "amountMinor": 1,    "idempotencyKey": "stringst"  }'
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "amountMinor": -9007199254740991,  "currency": "string",  "kind": "string",  "state": "string",  "reason": "string",  "externalId": "string",  "failureMessage": "string",  "createdAt": "string",  "resolvedAt": "string"}